%define anolis_release 1
%global pypi_name json-tricks
%global pypi_version 3.17.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Extra features for Python's JSON: comments, order, numpy, pandas, datetimes, and many more! Simple but customizable

License:        Revised BSD License (LICENSE.txt)
URL:            https://github.com/mverleg/pyjson_tricks
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/json_tricks-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
pyjson-tricks is a Python library that extends the capabilities of the standard json library 
by adding support for a variety of additional data types and features. It allows for more 
complex data structures to be serialized and deserialized in a JSON format, making it 
particularly useful for applications that require handling diverse data types within JSON files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pyjson-tricks is a Python library that extends the capabilities of the standard json library 
by adding support for a variety of additional data types and features. It allows for more 
complex data structures to be serialized and deserialized in a JSON format, making it 
particularly useful for applications that require handling diverse data types within JSON files.


%prep
%autosetup -n json_tricks-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/json_tricks
%{python3_sitelib}/json_tricks-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 3.17.3-1
- Initial package.